@import url("https://fonts.googleapis.com/css2?family=Google+Sans:wght@400;500;600;700&family=Roboto:wght@300;400;500;700&display=swap");
* {
  margin: 0px;
  padding: 0px;
}
:root {
  --main-color: rgb(127, 182, 145);
  --main-color-light: rgba(127, 182, 145, 0.6);
  --repla-color: #bd3030;
  --green-color: #34c759;
  --blue-2: #33bfff;
  --pink-color: #f56c89;
  --bg-body: #f4f7fe;
  /* --main-color: rgb(127, 182, 145); */
  /* #9DD3AF */
  /* 7FB691 */
  --begin: #fffcd1;
  --white: #ffffff;
  --grey: #e7eaee;
  --border-right-color: #e3e3e3;
  --black-color: #000;
  --light-brand: rgba(127, 182, 145, 0.5);
  --border-gray: #dde1e9;
}

.repla-color {
  color: var(--repla-color) !important;
}
.bg-grey {
  box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px,
    rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
}
.bg-white {
  background-color: rgb(255, 255, 255) !important;
}
/* .light-grey-bg{
    background-color: #F1F1F1 !important;
} */
.light-grey-text {
  color: #878787 !important;
}
.brand-color {
  color: var(--main-color);
}
.brand-color-light {
  color: var(--main-color-light);
}
.center {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

.display-none {
  display: none !important;
}
.col-center {
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
  justify-content: center !important;
}
.justify-center {
  display: flex !important;
  justify-content: center !important;
}
.space-between {
  display: flex;
  justify-content: space-between;
}
.space-between-center {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.shadow {
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
}
.text-capitalize {
  text-transform: capitalize;
}
.text-center {
  text-align: center !important;
}
.pb-2 {
  padding-bottom: 0.5rem !important;
}
.p-0 {
  padding: 0 !important;
}
.pt-3 {
  padding-top: 1rem !important;
}
.px-0 {
  padding-right: 0 !important;
  padding-left: 0 !important;
}
.px-1 {
  padding-right: 0.25rem !important;
  padding-left: 0.25rem !important;
}
.px-2 {
  padding-right: 0.5rem !important;
  padding-left: 0.5rem !important;
}
.px-3 {
  padding-right: 1rem !important;
  padding-left: 1rem !important;
}
.px-4 {
  padding-right: 1.5rem !important;
  padding-left: 1.5rem !important;
}
.px-5 {
  padding-right: 3rem !important;
  padding-left: 3rem !important;
}

.py-0 {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}
.py-1 {
  padding-top: 0.25rem !important;
  padding-bottom: 0.25rem !important;
}
.py-2 {
  padding-top: 0.5rem !important;
  padding-bottom: 0.5rem !important;
}
.py-3 {
  padding-top: 1rem !important;
  padding-bottom: 1rem !important;
}
.py-4 {
  padding-top: 1.5rem !important;
  padding-bottom: 1.5rem !important;
}
.py-5 {
  padding-top: 3rem !important;
  padding-bottom: 3rem !important;
}

.m-0 {
  margin: 0 !important;
}
.mb-3 {
  margin-bottom: 1rem !important;
}
.mt-3 {
  margin-top: 1rem !important;
}
.mx-0 {
  margin-right: 0 !important;
  margin-left: 0 !important;
}
.mx-1 {
  margin-right: 0.25rem !important;
  margin-left: 0.25rem !important;
}
.mx-2 {
  margin-right: 0.5rem !important;
  margin-left: 0.5rem !important;
}
.mx-3 {
  margin-right: 1rem !important;
  margin-left: 1rem !important;
}
.mx-4 {
  margin-right: 1.5rem !important;
  margin-left: 1.5rem !important;
}
.mx-5 {
  margin-right: 3rem !important;
  margin-left: 3rem !important;
}
.mx-auto {
  margin-right: auto !important;
  margin-left: auto !important;
}
.my-0 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}
.my-1 {
  margin-top: 0.25rem !important;
  margin-bottom: 0.25rem !important;
}
.my-2 {
  margin-top: 0.5rem !important;
  margin-bottom: 0.5rem !important;
}
.my-3 {
  margin-top: 1rem !important;
  margin-bottom: 1rem !important;
}
.my-4 {
  margin-top: 1.5rem !important;
  margin-bottom: 1.5rem !important;
}
.my-5 {
  margin-top: 3rem !important;
  margin-bottom: 3rem !important;
}

.w-100 {
  width: 100% !important;
}
.width-100 {
  width: 100% !important;
}
.border-grey {
  border: 1px solid #e9e8e8 !important;
  box-shadow: 0 0 10px 0px rgba(183, 192, 206, 0.2) !important;
}
.no-shadow {
  box-shadow: none !important;
}
.flex-center {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}
.justify-end {
  display: flex !important;
  justify-content: flex-end !important;
}
.flex-row-center {
  display: flex !important;
  flex-direction: column !important;
  align-items: center;
}
.space-between {
  display: flex !important;
  justify-content: space-between !important;
}
.align-center {
  display: flex !important;
  align-items: center !important;
}
.flex-col-center-align {
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
}
.flex-col-align-center {
  display: flex !important;
  flex-direction: column !important;
  justify-content: center;
}
.flex-col-align-end {
  display: flex !important;
  flex-direction: column !important;
  justify-content: flex-end !important;
}
.flex-col-justify-end {
  display: flex !important;
  flex-direction: column !important;
  align-items: flex-end !important;
}
.flex-col-Space-between {
  display: flex !important;
  flex-direction: column !important;
  justify-content: space-between !important;
}
.border-box {
  padding-right: 1.5rem !important;
  padding-left: 1.5rem !important;
  padding-top: 1.5rem !important;
  padding-bottom: 1.5rem !important;
  width: 100%;
  border: 1px solid #efefef !important;
  border-radius: 3px;
  overflow: hidden !important;
}
.border-box-0 {
  width: 100%;
  border: 1px solid #efefef !important;
  border-radius: 3px;
  overflow: hidden !important;
}
.border-box-0 > div {
  padding-right: 1.5rem !important;
  padding-left: 1.5rem !important;
  padding-top: 1.5rem !important;
  padding-bottom: 1.5rem !important;
}

#replaTable {
  background-color: #fafafa;
  width: 100%;
  border: none !important;
}

#replaTable thead {
  background-color: #fafafa;
  padding: 20px 0;
}
#replaTable tr,
#replaTable td,
#replaTable th {
  border: none !important;
}
#replaTable th {
  padding: 16px 16px !important;
}
#replaTable th::before {
  width: 1px;
  height: 1.6em;
  background-color: rgba(0, 0, 0, 0.06);
}
#replaTable tbody tr {
  border-bottom: 1px solid rgb(213, 216, 220) !important;
  background-color: #ffffff !important;
}
#replaTable th {
  align-items: flex-start;
}

/* antd pagination */
.ant-pagination-item-active {
  border-color: var(--main-color) !important;
}
.ant-pagination-item-active a {
  color: var(--main-color) !important;
}
/* antd progress bar line */
.ant-steps-item-finish
  > .ant-steps-item-container
  > .ant-steps-item-tail::after {
  background: var(--main-color) !important;
}

.ant-divider-horizontal {
  margin: 12px 0 !important;
}

.print-receipt-table,
.print-receipt-table td,
.print-receipt-table th {
  border: 1px solid;
}
.print-receipt-table {
  width: 100%;
  border-collapse: collapse;
}
.print-receipt-table td {
  text-align: center;
}
.print-receipt-table td,
.print-receipt-table th {
  padding: 5px 0;
}
/* scrollbar */
.scroll-bar::-webkit-scrollbar-track {
  border-radius: 8px;
  background-color: #eeeeee;
}

.scroll-bar::-webkit-scrollbar {
  width: 7px;
  background-color: #eeeeee;
}

.scroll-bar::-webkit-scrollbar-thumb {
  border-radius: 8px;
  background-color: #bbbbbb;
}

.transparent-button {
  border: none !important;
  background-color: transparent;
}
.totalCountOfTable {
  border: 0.8px solid rgba(0, 0, 0, 0.2);
  padding: 0px 10px;
  border-radius: 2px;
  margin-right: 10px;
}
.text-right {
  text-align: right !important;
}
.btn-orangered {
  border-color: orangered !important;
}
.text-orangered {
  color: orangered !important;
}
.btn-blue {
  border-color: #365094 !important;
}
.btn-primary-blue {
  border-color: #365094 !important;
  background-color: #365094 !important;
}
.text-blue {
  color: #365094 !important;
}
.btn-purple {
  border-color: #8c72ad !important;
}
.btn-primary-purple {
  border-color: #8c72ad !important;
  background-color: #8c72ad !important;
}
.text-purple {
  color: #8c72ad !important;
}
.btn-grey {
  border-color: #434549 !important;
}
.btn-primary-grey {
  border-color: #434549 !important;
  background-color: #434549 !important;
  color: white !important;
}
.btn-primary-yellow {
  border-color: #f2cd80 !important;
  background-color: #f2cd80 !important;
  color: white !important;
}
.text-grey {
  color: #434549 !important;
}
.right-to-left {
  direction: rtl !important;
}
.font-family-urdu {
  font-family: "Noto Nastaliq Urdu" !important;
}
.up {
  transform: translateY(-2px);
}
.hidden-button {
  border: none !important;
  background-color: transparent !important;
}
.notifications .ant-dropdown {
  padding-top: -2px !important;
}

.fue-btn {
  background-color: rgb(101, 85, 197) !important;
  border-color: rgb(101, 85, 197) !important;
}
.prp-btn {
  background-color: rgb(97, 145, 254) !important;
  border-color: rgb(97, 145, 254) !important;
}
.remainders-btn {
  background-color: rgb(117, 196, 76) !important;
  border-color: rgb(117, 196, 76) !important;
}
.fue-bg {
  background-color: rgba(101, 85, 197, 0.3) !important;
}
.prp-bg {
  background-color: rgba(97, 145, 254, 0.3) !important;
}
.remainders-bg {
  background-color: rgba(117, 196, 76, 0.3) !important;
}
.light-grey-bg-brand {
  background-color: rgba(127, 182, 145, 0.3) !important;
}
.light-grey-bg {
  background-color: #eaeaea !important;
}
.fue-color {
  color: rgb(101, 85, 197) !important;
}
.prp-color {
  color: rgb(97, 145, 254) !important;
}
.remainders-color {
  color: rgb(117, 196, 76) !important;
}
.danger-color {
  color: #ff4d4f !important;
}
.fw-600 {
  font-weight: 600 !important;
}
.font-lighter {
  font-weight: 500 !important;
}
.radius-3 {
  border-radius: 3px !important;
}
.height-378 {
  height: 378px !important;
}
.height-329 {
  height: 329px !important;
}
.text-white {
  color: #fff !important;
}
.height-100 {
  height: 100% !important;
}

/* calendar css */
.radius-12 {
  border-radius: 12px;
}

.border0 {
  border: none !important;
}

.pill-sm {
  padding: 3px 8px;
  border-radius: 5px;
}

.bg-cancel {
  background-color: var(--repla-color) !important;
}

.bg-green {
  background-color: var(--green-color) !important;
}

.bg-inporgress {
  background-color: var(--blue-2) !important;
}

.bg-pink-dark {
  background-color: var(--pink-color) !important;
}

.fs-10 {
  font-size: 10px !important;
}

.fs-12 {
  font-size: 12px !important;
}

.head {
  background-color: var(--main-color);
  padding: 2px;
  display: block;
  color: #fff;
}

.nocss {
  padding: 0px !important;
  height: auto !important;
  background-color: transparent !important;
}

.dashboard-calendar .rbc-event {
  height: auto !important;
  /* background-color: transparent !important; */
  padding: 0px !important;
  border: 0px !important;
}

.rbc-month-row {
  overflow: unset !important;
}

.block-event .ant-card-body {
  padding: 10px !important;
}

.block-event {
  border-radius: 10px;
}

.block-event .ant-card-actions {
  background-color: transparent !important;
  border: 0px !important;
  padding-inline: 10px;
}

.status-progress {
  background-color: #f5fcff;
  border-color: var(--blue-2);
  border-width: 2px;
}

.status-cancel {
  background-color: #fef2f2;
  border-color: var(--cancel-color);
  border-width: 2px;
}

.status-new {
  background-color: #fff4f6;
  border-color: var(--pink-color);
  border-width: 2px;
}

.status-completed {
  border-color: var(--green-color);
  background-color: #f5fcf6;
  border-width: 2px;
}

/* .rbc-time-content{
    display: none !important;
} */
/* .rbc-overflowing,
.rbc-time-header{
    height: 100% !important;
} */

.rbc-time-header-gutter {
  display: none !important;
}

.site-layout {
  background: var(--bg-body) !important;
}

.ant-layout .ant-layout-sider {
  background: var(--white) !important;
  overflow-x: hidden;
}

.bg-divider {
  background: var(--border-gray) !important;
}

.cursor {
  cursor: pointer !important;
}

.mb-1 {
  margin-bottom: 5px !important;
}

/* appointment calendar css */
.vacation-calendar {
  overflow-x: auto !important;
}
.vacation-calendar .rbc-month-view {
  min-width: 1000px !important;
}
.vacation-calendar .rbc-event {
  width: 100% !important;
  margin: 0 !important;
}

.rbc-overlay-header {
  padding: 10px !important;
  text-align: center;
  font-size: 14px !important;
}

.h-700 {
  height: 700px !important;
}

.rbc-header {
  height: 90px !important;
  display: flex;
  align-items: center;
  justify-content: center;
}

.m-0 {
  margin: 0px !important;
}
.border-0 {
  border: 0px !important;
}

.mb-2 {
  margin-bottom: 10px;
}
